Subject: Re: [bug#78781] Request for merging "go-team" branch

From: Z572 <[email-masked]>
Date: Sun, 06 Jul 2025 19:19:15 +0800

Andreas Enge <[email-masked]> writes:

> Hello,
>
> Am Sat, Jul 05, 2025 at 09:34:02PM +0100 schrieb Sharlatan Hellseher:
>>  Golang stack rebuild due to change to default compiler.
>
> which seems to be quite a lot of packages - when doing a
> "guix refresh -l go", I do not even see how many since the list of
> packages rolls off my screen.
>
>> Should we wait core-packages-team, nss-team and c++- team?
>
> I think the core-packages-team is almost ready to go, there is a lot of
> work in a milestone
>    https://codeberg.org/guix/guix/milestone/21092
> to iron out the last problems.
>
> Then I do not see a particular reason to prefer one branch over the
> other; all of them will have to be rebased. There is also the qt-team
> branch, part of which has been moved to core-packages-team.

If possible, I would prefer rust-team to prioritize merging, so that the
subsequent branches can reduce the compilation of many unnecessary rust
packages

>
> The QA data service has been broken for a week now with no branches
> being built; CI usually errors out with 504 when clicking on a revision,
> but the jobset page for a given branch and the dashboards seem to work.
> So to be honest, we currently do not have the tooling to comfortably
> decide which branches to merge...
>
> Andreas